<div ng-controller="ProductorCtrl">
    <div class="page page-tables-bootstrap">
        <div class="panel panel-default">
            <div class="panel-heading">
            	<h3 class="panel-title"><i class="fa fa-users"></i> Productores</h3>
            </div>
          	<div class="panel-body">
	          	<div class="row">
		          	<div class="col-md-6">
		          		<input type="text" class="form-control"  ng-model="buscar" placeholder="Buscar Productor">
		          	</div>
		          	<div class="col-md-2">
		          		
		          	</div>
		          	<div class="col-md-4">
		          		<button class="btn btn-success btn-block btn-border btn-rounded-20" ng-click="clear();openModalSave($event)"><i class="fa fa-plus"></i> agregar productor</button>
		          	</div>
	          	</div>
	            <hr>
	            <div class="row" ng-if="flag">
		          	<div class="col-md-12">
		          		<ng-include src="'views/home/others/loading.html'"></ng-include>
		          	</div>
	          	</div>
	          	<div class="row" ng-if="!flag">
	          		<div class="col-md-4"></div>
	          		<div class="col-md-4"></div>
	          		<div class="col-md-4">
		          		 <div class="pull-right">
	                       <h4><strong>Cantidad : {{productores.length}} Productores</strong></h4>
	                    </div>
                    </div>
                </div>
               	<div class="row" ng-if="!flag">
					<div class="col-md-12">
						<div class="table-responsive">
							<table class="table table-hover table-bordered">
								<thead>
									<tr>
										<th>Código</th>
										<th class="vertical-center">Nombres</th>
										<th class="text-center">Cantidad Parcelas</th>
										<th class="vertical-center">Fecha Ingreso</th>
										<th class="vertical-center">Dirección</th>
										<th class="vertical-center">Teléfono</th>
										<th class="vertical-center">Socio</th>
										<th class="vertical-center">Trabajador</th>
										<th class="vertical-center">Parcelas</th>
										<th class="vertical-center">Condición</th>
										<th class="text-center">Opciones</th>
									</tr>
								</thead>
								<tbody>
									<tr dir-paginate="pro in productores |filter: buscar | itemsPerPage: 50" pagination-id="pro.id">
										<td class="vertical-center">{{pro.codigo_productor}}</td>
										<td class="vertical-center">{{pro.fullname}}</td>
										<td class="text-center">{{pro.cantidad_parcelas}}</td>
										<td>{{pro.fecha_ingreso | date : 'dd-MM-yyyy'}}</td>
										<td>{{pro.direccion}}</td>
										<td>{{pro.telefono}}</td>
										<td>{{(pro.socio==1) ? 'Socio':'No Socio'}}</td>
										<td>
											<a class="btn btn-default btn-xs" ui-sref="home.productor.trabajador" ng-click="redirectTo(pro)"><i class="fa fa-user"></i> Trabajadores</a>
										</td>
										<td>
											<a ui-sref="home.productor.parcela" ng-click="redirectTo(pro)" class="btn btn-default btn-xs"><i class="fa fa-eye"></i> parcelas</a>
										</td>
										<td class="text-center">
											<span style="color: white;background: {{pro.color_condicion}};" class="label">{{pro.nombre_condicion}}</span>
										</td>
										<td class="text-center">
											<button class="btn btn-info btn-xs" ng-click="load(pro);openModalSave($event)" data-options="splash-2 splash-ef-14"><i class="fa fa-edit"></i></button>
											<button class="btn btn-danger btn-xs" ng-click="load(pro);openModalDelete($event)" data-options="splash-2 splash-ef-14"><i class="fa fa-trash"></i></button>
										</td>
									</tr>
								</tbody>
							</table>
						</div>
						<div class="text-center">
							<dir-pagination-controls pagination-id="pro.id"></dir-pagination-controls>
						</div>
					</div>
			    </div>
			</div>
			<!-- <div class="panel-footer">
				<div class="text-center">
					 - &copy; Copyright 2017
				</div>
			</div> -->
		</div>
	</div>
	<script type="text/ng-template" id="modal_trabajador.html">
        <!-- <div class="modal-header">
            <h3 class="modal-title custom-font">I'm a modal!</h3>
        </div> -->
        <div class="modal-body">
            <legend class="text-center"><i class="fa fa-users"></i> Trabajadores</legend>
            <!--- Div para vista de datos -->
            <div class="row" ng-show="flagListCreate">
            	<div class="col-md-4"></div>
            	<div class="col-md-4"></div>
            	<div class="col-md-4">
            		<button class="btn btn-success btn-block btn-border btn-rounded-20" ng-click="flagListCreate = false;clear();estado_persona = 0;"><i class="fa fa-plus"></i> agregar trabajador</button>
            	</div>
            	<div class="col-md-12" ng-show="trabajadores.length > 0">
            		<div class="table-responsive">
						<table class="table table-hover">
							<thead>
								<tr>
									<th>Nombres y Apellidos</th>
									<th>Condición</th>
									<th class="text-center">Opciones</th>
								</tr>
							</thead>
							<tbody>
								<tr dir-paginate="trabajador in trabajadores | itemsPerPage: 7" pagination-id="trabajador.id">
									<td>{{trabajador.fullname}}</td>
									<td>{{(trabajador.nombre_condicion)}}</td>
									<td class="text-center">
										<button class="btn btn-info btn-xs" data-options="splash-2 splash-ef-14" ng-click="load(trabajador);openModalSave($event)"></span> Editar</button>
										<button class="btn btn-danger btn-xs" data-options="splash-2 splash-ef-14" ng-click="load(trabajador);openModalDelete($event)"><span class="fa fa-trash"></span> Eliminar</button>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
					<div class="text-center">
						<dir-pagination-controls pagination-id="trabajador.id"></dir-pagination-controls>
					</div>
            	</div>
            	<div class="col-md-12" ng-show="trabajadores.length == 0">
            		<p class="text-center">
                        <i class="fa fa-inbox fa-4x"></i>
                        <h5 class="text-center">no hay trabajadores registrados...</h5>
                    </p>
            	</div>
            	<div class="col-md-12">
            		<div class="mt-20">
	                    <div class="text-center">
			                <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="cancel()"><i class="fa fa-close"></i> Cerrar</button>
			            </div>
	               </div>
            	</div>
            </div>

            <!--- Div para formulario -->
            <div class="row" ng-show="!flagListCreate">
            	<div class="col-md-12">
	            	<form ng-submit="saveTrabajador()">
		            	<div class="row">

		            		<div class="col-md-12" ng-show="modelo.crud == false && estado_persona == 1">
		            			<div class="alert alert-info">
		            				* Solo se puede editar el campo <strong>Condición</strong>
		            			</div>
		            		</div>

		            		<div class="col-md-5" ng-show="modelo.crud == true">
								<div class="form-group">
			                   		<label for="">¿Es Productor?</label>
									<select class="form-control" ng-model="estado_persona" ng-options="espe.id as espe.nombre for espe in estadoPersona" ng-change="clear()">
		                                <option value="">-- Seleccione Item --</option>
		                            </select>
								</div>
			               </div>
			               	<div class="col-md-7" ng-show="estado_persona == 1 && modelo.crud == true">
								<div class="form-group">
			                   		<label for="">Productores</label>
									<select class="form-control" ng-model="modelo.id_persona" ng-options="productor.id_persona as productor.fullname for productor in obj.productores"  ng-change="setPersona()">
		                                <option value="">-- Seleccione Item --</option>
		                            </select>
								</div>
			               </div>

			               <div class="col-md-8">
			                    <div class="form-group">
			                   		<label for="">Nombres</label>
									<input type="text" class="form-control" id="nombre" ng-model="modelo.nombre" placeholder="Nombres" ng-readonly="estado_persona == 1"> 
			                   </div>
			               </div>
							<div class="col-md-4">
								<div class="form-group">
			                   		<label for="">Condición</label>
									<select class="form-control" ng-model="modelo.condicion" ng-options="condicion.id as condicion.nombre for condicion in condiciones">
		                                <option value="">-- Seleccione Item --</option>
		                            </select>
								</div>
			               </div>

			               <div class="col-md-6">
								<div class="form-group">
			                   		<label for="">Apellido Paterno</label>
									<input type="text" class="form-control" ng-readonly="estado_persona == 1" id="apellido_paterno" ng-model="modelo.apellido_paterno" placeholder="Apellido Paterno">
								</div>
							</div>
							<div class="col-md-6">
								<div class="form-group">
			                   		<label for="">Apellido Materno</label>
									<input type="text" class="form-control" id="apellido_materno" ng-model="modelo.apellido_materno" ng-readonly="estado_persona == 1" placeholder="Apellido Materno">
								</div>
			               	</div>
							
							<div class="col-md-6">
								<div class="form-group">
			                   		<label for="">DNI</label>
									<input type="text" class="form-control" id="dni" ng-model="modelo.dni" ng-readonly="estado_persona == 1" placeholder="DNI">
								</div>
							</div>							
							<div class="col-md-6">
								<div class="form-group">
			                   		<label for="">Teléfono</label>
									<input type="text" class="form-control" id="telefono" ng-model="modelo.telefono" ng-readonly="estado_persona == 1" placeholder="Teléfono">
								</div>
							</div>

			               	<div class="col-md-12">
			                    <div class="form-group">
			                   		<label for="">Dirección</label>
									<input type="text" class="form-control" id="direccion" ng-model="modelo.direccion" ng-readonly="estado_persona == 1" placeholder="Dirección">
			                   </div>
			               </div>
							

			            </div>

		               <div class="mt-20">
		                    <div class="text-center">
				                <button type="submit" class="btn btn-primary"><i class="fa fa-save"></i> <span ng-if="modelo.crud">Guardar</span><span ng-if="!modelo.crud">Actualizar</span></button>
				                <button type="button" class="btn btn-default" ng-click="flagListCreate = true"><i class="fa fa-close"></i> Cancelar</button>
				            </div>
		               </div>                   
		            </form>
		        </div>
            </div>           
            
        </div>
    </script>
    <script type="text/ng-template" id="modal_productor.html">
        <!-- <div class="modal-header">
            <h3 class="modal-title custom-font">I'm a modal!</h3>
        </div> -->
        <div class="modal-body">
            <legend class="text-center"><i class="fa fa-user"></i> <span ng-if="obj.crud">Nuevo</span><span ng-if="!obj.crud">Actualizar</span> Productor</legend>
            
            <form ng-submit="createEdit()">
            	<div class="row">

            		<div class="col-md-6">
						<div class="form-group">
	                   		<label for="">DNI</label>
							<input type="text" class="form-control" id="dni" ng-model="obj.dni" placeholder="DNI">
						</div>
					</div>
					<div class="col-md-6">
						<div class="form-group">
	                   		<label for="">Socio</label>
							<select class="form-control" ng-model="obj.socio" ng-options="soes.id as soes.nombre for soes in sociosEstado">
                                <option value="">-- Seleccione Item --</option>
                            </select>
						</div>
	               </div>

	               <div class="col-md-12">
	                    <div class="form-group">
	                   		<label for="">Nombres</label>
							<input type="text" class="form-control" id="nombre" ng-model="obj.nombre" placeholder="Nombres"> 
	                   </div>
	               </div>

	               <div class="col-md-6">
						<div class="form-group">
	                   		<label for="">Apellido Paterno</label>
							<input type="text" class="form-control" id="apellido_paterno" ng-model="obj.apellido_paterno" placeholder="Apellido Paterno">
						</div>
					</div>
					<div class="col-md-6">
						<div class="form-group">
	                   		<label for="">Apellido Materno</label>
							<input type="text" class="form-control" id="apellido_materno" ng-model="obj.apellido_materno" placeholder="Apellido Materno">
						</div>
	               </div>

	               	<div class="col-md-12">
	                    <div class="form-group">
	                   		<label for="">Dirección</label>
							<input type="text" class="form-control" id="direccion" ng-model="obj.direccion" placeholder="Dirección">
	                   </div>
	               </div>

	               <div class="col-md-6">
						<div class="form-group">
	                   		<label for="">Código Productor</label>
							<input type="text" class="form-control" id="codigo_productor" ng-model="obj.codigo_productor" placeholder="Código Productor">
						</div>
					</div>
					<div class="col-md-6">
						<div class="form-group">
	                   		<label for="">Fecha Ingreso</label>
							<input type="date" class="form-control" id="fecha_ingreso_t" ng-model="obj.fecha_ingreso_t" placeholder="Fecha Ingreso">
						</div>
	                </div>
					
					<div class="col-md-6">
						<div class="form-group">
	                   		<label for="">Teléfono</label>
							<input type="text" class="form-control" id="telefono" ng-model="obj.telefono" placeholder="Teléfono">
						</div>
					</div>
	                <div class="col-md-6">
						<div class="form-group">
	                   		<label for="">GGN</label>
							<input type="text" class="form-control" id="ggn" ng-model="obj.ggn" placeholder="GGN">
						</div>
					</div>
					

	            </div>

               <div class="mt-20">
                    <div class="text-center">
		                <button type="submit" class="btn btn-primary"><i class="fa fa-save"></i> <span ng-if="obj.crud">Guardar</span><span ng-if="!obj.crud">Actualizar</span></button>
		                <button type="button" class="btn btn-default" ng-click="cancel()"><i class="fa fa-close"></i> Cancelar</button>
		            </div>
               </div>                   
            </form>
        </div>
    </script>
    <script type="text/ng-template" id="modal_productor_delete.html">
        <div class="modal-header">
    		<div class="text-center">
                <h4 class="modal-title custom-font">¿Desea eliminar este Productor?</h4>
            </div>
        </div>
        <div class="modal-body">
        	<div class="text-center">
                <h3>{{obj.fullname}}</h3>
                <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="cancel()"><i class="fa fa-close"></i> Cancelar</button>
                <button type="submit" class="btn btn-danger btn-border btn-rounded-20" ng-click="delete()" data-dismiss="modal"><i class="fa fa-check"></i> Eliminar</button>
            </div>
        </div>
    </script>
</div>